BIOM_VALIDATOR(1)

NAME
biom_validator - Test a biom file for adherence to the format specification

SYNOPSIS
biom_validator [options] {-i/--biom_fp BIOM_FP}

DESCRIPTION
[] indicates optional input (order unimportant) {} indicates required input (order unimportant)

Test a biom file for adherence to the format specification. This specification is defined at http://biom-format.org.

Example usage: Print help message and exit

    biom_validator -h

Validate the my_data.biom file.

    biom_validator -i my_data.biom

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-v, --verbose
    Print information during execution -- useful for debugging [default: False]

-f FORMAT_VERSION, --format-version=FORMAT_VERSION
    The specific format string, defaults to [default: Biological Observation Matrix 1.0.0]

    REQUIRED options:

    The following options must be provided under all circumstances.

-i BIOM_FP, --biom_fp=BIOM_FP
    the BIological Observation Matrix filepath to validate [REQUIRED]